Gramps on FC3?

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Gramps on FC3?

Stefan Björk-2
Hi!

I'm stuck with an old distribution (FC3) and can't upgrade for at least
a couple of months. I'd really like to begin using Gramps 2.1 and keep
up the translation work, so - isn't there any way of getting Gramps 2.1
up and running (from SVN) in FC3?

Stefan


-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps on FC3?

Alex Roitman
Stefan,

On Wed, 2006-09-13 at 18:18 +0200, Stefan Björk wrote:
> I'm stuck with an old distribution (FC3) and can't upgrade for at least
> a couple of months. I'd really like to begin using Gramps 2.1 and keep
> up the translation work, so - isn't there any way of getting Gramps 2.1
> up and running (from SVN) in FC3?

I am not sure what libraries does FC3 have. What happenes if
you run autogen.sh or configure in the SVN version?

Alex

--
Alexander Roitman   http://www.gramps-project.org

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps on FC3?

Don Allingham
In reply to this post by Stefan Björk-2
Stefan,

GRAMPS 2.1.X requires a more recent version of GTK to function properly.
FC3 is tool old (I think it still runs GTK 2.4), and GRAMPS 2.1.X needs
GTK 2.6.

The switch to GTK 2.6 was done to reduce the dependencies on the GNOME
libraries and make it easier to install. GTK 2.6 also added some *major*
new features that allowed us to handle larger databases.

Don

On Wed, 2006-09-13 at 18:18 +0200, Stefan Björk wrote:

> Hi!
>
> I'm stuck with an old distribution (FC3) and can't upgrade for at least
> a couple of months. I'd really like to begin using Gramps 2.1 and keep
> up the translation work, so - isn't there any way of getting Gramps 2.1
> up and running (from SVN) in FC3?
>
> Stefan
>
> -------------------------------------------------------------------------
> Using Tomcat but need to do more? Need to support web services, security?
> Get stuff done quickly with pre-integrated technology to make your job easier
> Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
> http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
> _______________________________________________ Gramps-devel mailing list [hidden email] https://lists.sourceforge.net/lists/listinfo/gramps-devel

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

signature.asc (198 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps on FC3?

Eero Tamminen-3
In reply to this post by Stefan Björk-2
Hi,

On Wednesday 13 September 2006 19:18, Stefan Björk wrote:
> I'm stuck with an old distribution (FC3) and can't upgrade for at least
> a couple of months. I'd really like to begin using Gramps 2.1 and keep
> up the translation work, so - isn't there any way of getting Gramps 2.1
> up and running (from SVN) in FC3?

You could build & install new Gnome Garnome upto gnome python
bindings.  That's what I use to run Gramps 2.0.11 on my SUSE 9.1
with KDE. :-)

Attached is a the Garnome Makefile I use for building Gramps
(so that it finds the Garnome installed stuff).    Using it requires
some knowledge of GNU Make and preferably a bit about how
Garnome works too.


        - Eero

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

Makefile (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps on FC3?

Stefan Björk
Eero,

> You could build & install new Gnome Garnome upto gnome python
> bindings.  That's what I use to run Gramps 2.0.11 on my SUSE 9.1
> with KDE. :-)

Thanks for the idea! Trying that right now...

  -- Stefan

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

attachment0 (192 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps on FC3?

Stefan Björk-2
In reply to this post by Eero Tamminen-3
Eero!

> You could build & install new Gnome Garnome upto gnome python
> bindings.  

It took a while and I had quite a number of troubles along the way, but
it really worked. I can run Gramps 2.1 on my FC3 installation, and I
have continued the work on the swedish translation.

I tweaked the Makefile quite a bit to make it simpler and fool Garnome a
little bit (see attached file).

Thanks, Eero!

Stefan


-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys -- and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

Makefile (1K) Download Attachment
signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps on FC3?

Eero Tamminen-3
Hi,

On Tuesday 19 September 2006 22:24, Stefan Björk wrote:
> > You could build & install new Gnome Garnome upto gnome python
> > bindings.
>
> It took a while and I had quite a number of troubles along the way, but
> it really worked. I can run Gramps 2.1 on my FC3 installation, and I
> have continued the work on the swedish translation.

Great that it worked!

> I tweaked the Makefile quite a bit to make it simpler and fool Garnome a
> little bit (see attached file).

Thanks, I guess I'll need to do the same to get the Finnish translation up
to date too...  :-)

I'm using the attached script for running Garnome installed things like
Gramps (in KDE), are you starting the whole Garnome Gnome desktop
to run Gramps or using something similar?


        - Eero

-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys -- and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

garnome.sh (561 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps on FC3?

Stefan Björk-2
Eero,

> I'm using the attached script for running Garnome installed things like
> Gramps (in KDE), are you starting the whole Garnome Gnome desktop
> to run Gramps or using something similar?

I use a script almost identical to yours. The only difference is that I
use 'exec $*' instead of just '$*' - it saves some memory.

Stefan


-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys -- and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

signature.asc (196 bytes) Download Attachment